Subject: Re: Python os.path.join inconsistency?
From: Chris Herborth <[email-masked]>
To: [email-masked]
Date: Wed, 01 Sep 2004 10:53:28 -0400

Reini Urban wrote:
> Ken Dibble schrieb:
> 
>> I guess my limited experience (including not being a windows programmer)
>> colored my perception.
>>
>> I had never been able to get any Windows variant I was exposed to,
>> to accept a forward slash.  So much for my recall device of
>> Unix Forward, Windows Backward.
> 
> Win95 derivates accept only backward, WinNT since always forward slashes 
> also.

This is rather off-topic, but even DOS would properly handle paths with 
forward slashes in commands that didn't choke trying to parse them into 
arguments (for example, Info-ZIP's zip/unzip or POV-Ray).

This is an undocumented feature ever since DOS implemented directories.

-- 
Chris Herborth ([email-masked])
Never send a monster to do the work of an evil scientist.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/